# Pyconsole Development

PyConsole is a Python package that enables printing messages in various colors to the console. It provides a `Console` class with colorized printing methods for messages in different colors.

## Installation

You can install Pyconsole directly from its GitHub repository using `pip`. Run the following command:

```bash
pip install pyconsole-development
```

## Usage

Once installed, you can import the Console class from the package and use its methods to print messages in different colors. Here's an example:

```py
from pyconsole import console

# Example usage
console.info("This is an informational message")
console.warn("This is a warning message")
console.error("This is an error message")
console.success("This is a success message")
console.secondary("This is a secondary message")
```

## Contributing

If you want to contribute to this project, feel free to fork the repository, make changes, and submit a pull request. Please make sure to review the [Contribution Guidelines](CONTRIBUTING.md) before contributing.
